<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:05 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>PHPDoctor\Tests\FileLevel (PHPDoctor)</title>

</head>
<body id="tree" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="active">Namespace</li>
<li>Class</li><li><a href="../../../phpdoctor/tests/filelevel/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/filelevel/package-summary.html" target="_top">No frames</a>
</div>
<hr>

<h1>Namespace PHPDoctor\Tests\FileLevel</h1>

<table class="title">
<tr><th colspan="2" class="title">Class Summary</th></tr>
<tr><td class="name"><a href="../../../phpdoctor/tests/filelevel/duplicateclass.html">duplicateClass</a></td><td class="description"></td></tr>
<tr><td class="name"><a href="../../../phpdoctor/tests/filelevel/implementanexternalinterface.html">implementAnExternalInterface</a></td><td class="description">This class implements the namespaced interface PHPDoctor\Tests\MyNamespace\anInterface</td></tr>
<tr><td class="name"><a href="../../../phpdoctor/tests/filelevel/inherittest.html">inheritTest</a></td><td class="description">Test inheriting of class doccomments</td></tr>
<tr><td class="name"><a href="../../../phpdoctor/tests/filelevel/inherittestchild.html">inheritTestChild</a></td><td class="description">A child class doccommentTest inheriting of class doccomments</td></tr>
<tr><td class="name"><a href="../../../phpdoctor/tests/filelevel/inherittestimplements.html">inheritTestImplements</a></td><td class="description">A child class doccommentTest inheriting of interface doccomments</td></tr>
</table>

<table class="title">
<tr><th colspan="2" class="title">Interface Summary</th></tr>
<tr><td class="name"><a href="../../../phpdoctor/tests/filelevel/inheritinterfacetest.html">inheritInterfaceTest</a></td><td class="description">Test inheriting of interface doccomments</td></tr>
</table>

<table class="title">
<tr><th colspan="2" class="title">Exception Summary</th></tr>
<tr><td class="name"><a href="../../../phpdoctor/tests/filelevel/myexception.html">myException</a></td><td class="description"></td></tr>
</table>

<table class="title">
<tr><th colspan="2" class="title">Function Summary</th></tr>
<tr><td class="name"><a href="package-functions.html#aFunction">aFunction</a></td><td class="description"></td></tr>
<tr><td class="name"><a href="package-functions.html#aFunctionWithParams">aFunctionWithParams</a></td><td class="description"></td></tr>
<tr><td class="name"><a href="package-functions.html#aFunctionWithTypeHints">aFunctionWithTypeHints</a></td><td class="description"></td></tr>
<tr><td class="name"><a href="package-functions.html#customExceptionThrower">customExceptionThrower</a></td><td class="description">This is a function that throws a custom exception</td></tr>
<tr><td class="name"><a href="package-functions.html#functionThatReturnsAReference">functionThatReturnsAReference</a></td><td class="description"></td></tr>
</table>

<table class="title">
<tr><th colspan="2" class="title">Global Summary</th></tr>
<tr><td class="name"><a href="package-globals.html#CONSTANT">CONSTANT</a></td><td class="description"></td></tr>
<tr><td class="name"><a href="package-globals.html#CONSTANT2">CONSTANT2</a></td><td class="description"></td></tr>
<tr><td class="name"><a href="package-globals.html#CONSTANT3">CONSTANT3</a></td><td class="description"></td></tr>
<tr><td class="name"><a href="package-globals.html#THREE">THREE</a></td><td class="description"></td></tr>
</table>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="active">Namespace</li>
<li>Class</li><li><a href="../../../phpdoctor/tests/filelevel/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/filelevel/package-summary.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>